Name:          aries-util
Version:       0.4
Release:       6%{?dist}
Summary:       Apache Aries Util
License:       ASL 2.0
URL:           http://aries.apache.org/
# svn export http://svn.apache.org/repos/asf/aries/tags/org.apache.aries.util-0.4/ aries-util-0.4
# tar cafJ aries-util-0.4.tar.xz aries-util-0.4
Source0:       %{name}-%{version}.tar.xz
Patch0:        %{name}-%{version}-java.patch

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: maven-local
BuildRequires: maven-release-plugin
BuildRequires: mvn(org.apache.felix:org.osgi.compendium)
BuildRequires: mvn(org.apache.felix:org.osgi.core)

%description
This package contains the OSGi common util for Apache Aries.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%pom_remove_parent
%pom_xpath_inject "pom:project" "<groupId>org.apache.aries</groupId>"
#%%pom_xpath_remove "pom:project/pom:packaging"
%pom_xpath_set "pom:project/pom:packaging" jar
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:artifactId = 'org.osgi.compendium' ]/pom:groupId" org.apache.felix
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:artifactId = 'org.osgi.core' ]/pom:groupId" org.apache.felix
%pom_remove_dep org.eclipse:osgi

%build

%mvn_file :org.apache.aries.util %{name}
# test disabled because of missing dependency:
# org.apache.aries.testsupport:org.apache.aries.testsupport.unit:jar
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Thu Aug 08 2013 gil cattaneo <puntogil@libero.it> 0.4-6
- fix rhbz#991990
- switch to XMvn
- resolve some rpmlint problems
- use pom macros
- minor changes to adapt to current guideline

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.4-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 14 2012 Patryk Obara <pobara@redhat.com> 0.4-1
- Initial packaging
